commit:     e09bcaad489e46192d78f0290804555bc28a0df5
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Mon Jul 17 04:42:56 2023 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Mon Jul 17 04:42:56 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e09bcaad

dev-ruby/actionpack-xml_parser: update EAPI 7 -> 8

Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 .../actionpack-xml_parser-2.0.1-r3.ebuild          | 38 ++++++++++++++++++++++
 1 file changed, 38 insertions(+)

diff --git 
a/dev-ruby/actionpack-xml_parser/actionpack-xml_parser-2.0.1-r3.ebuild 
b/dev-ruby/actionpack-xml_parser/actionpack-xml_parser-2.0.1-r3.ebuild
new file mode 100644
index 000000000000..94174f034697
--- /dev/null
+++ b/dev-ruby/actionpack-xml_parser/actionpack-xml_parser-2.0.1-r3.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby30 ruby31 ruby32"
+
+RUBY_FAKEGEM_GEMSPEC="actionpack-xml_parser.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="XML parameters parser for Action Pack (removed from core in Rails 
4.0)"
+HOMEPAGE="https://github.com/rails/actionpack-xml_parser";
+SRC_URI="https://github.com/rails/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+
+KEYWORDS="~amd64"
+SLOT="2"
+IUSE=""
+
+ruby_add_rdepend "
+       || ( dev-ruby/actionpack:6.1 )
+       || ( dev-ruby/railties:6.1 )
+"
+
+ruby_add_bdepend "test? ( =dev-ruby/railties-6* )"
+
+all_ruby_prepare() {
+       sed -i -e "/bundler/d" Rakefile test/helper.rb || die
+       sed -i -e '1igem "actionpack", "~>6.0"' test/helper.rb || die
+
+       # Skip test that is not compatible with Rails 5.2
+       sed -i -e '/occurring a parse error if parsing unsuccessful/askip 
"rails 5.2"' test/xml_params_parsing_test.rb || die
+}
+
+each_ruby_test() {
+       MT_NO_PLUGINS=true ${RUBY} -Ilib:.:test -e 
"Dir['test/*_test.rb'].each{|f| require f}" || die
+}

Reply via email to